// Apply changes when the mask is worn

if (args.equipped) {
  this.actor.createEmbeddedDocuments("ActiveEffect", [this.item.effects.contents[1]?.convertToApplied()])
  this.script.message(`${this.actor.name} porte le <strong>${this.item.name}</strong>. <br>
      Ils gagnent +1 point de Corruption si un Test d'exposition échoue, ce qui devra être appliqué manuellement.<br> S'ils portent le masque pendant plus d'une heure ou bénéficient de l'un de ses effets, ils sont exposés à @Corruption[modérée]{Corruption Modérée}
      `,
      {whisper: ChatMessage.getWhisperRecipients("GM")})
}

// Notify of lingering effects when mask is Retiré
else if (!args.equipped)
{
    await this.item.effects.contents[0].delete();
    await this.item.update({name : this.item.name += " (Utilisé)"})
    this.script.message(`<strong>${this.item.name}</strong> porté par ${this.actor.name} a été retiré et perd ses propriétés. Cependant, les effets durent [[1d10+4]] jours, après quoi ils doivent être retirés manuellement.`,
    {whisper: ChatMessage.getWhisperRecipients("GM")}
    )

}